# 2018 Kubernetes Contributor Summit US

This event brings together new and current Kubernetes contributors to connect and share face-to-face. It is an opportunity for existing contributors to help shape the future of community development and offers a welcoming space for new community members to learn, explore and put the contributor workflow to practice.
The summit now spans two days; including an optional social event in the early evening of December 9th along with the main full-day event December 10th.

In some sense, the summit is a real-life extension of the community meetings and SIG meetings. There are three explicit goals:

- Cross-SIG communication and announcements
- Onboard new contributors to be productive in our community
- Send contributors home with more context, knowledge, and skills about the project

## Registration

- [Form to pick tracks and RSVP for the Sunday evening event](https://goo.gl/X8YrRv)
- If you are planning on attending the New Contributor Track, [Sign the CLA](/CLA.md) if you have not done so already. 

This is not your KubeCon/CloudNativeCon ticket. You will need to register for the conference separately.

## When and Where

- Day 1: Optional pre-summit social
  - Sunday, Dec 9th from 5-8PM
  - Garage, 1130 Broadway Seattle, WA 98122
- Day 2: Contributor Summit 
  - Monday, Dec 10th, 2018 from 8AM-530PM
  - 6th Floor, Washington State Convention Center, Seattle, WA
    (Signage will be present)

There is a [Slack channel](https://kubernetes.slack.com/messages/contributor-summit) (#contributor-summit) for you to use before and during the summit. Look here for volunteer opportunities and content updates. Feel free to pass URLs, notes, reserve the hallway track room, and connect with the organizers.

## Agenda

Day 1 - Garage

Dinner will be served. We will update with menu as we get closer to the event. Beer, wine, and nonalcoholic beverages available. 
Attendees will have access to bowl, play pool/billiards, kubernetes trivia, and socializing with other contributors.

Day 2 - Washington Convention Center
- New Contributor Track / Workshop - A half day workshop aimed at getting new and first time contributors on boarded and comfortable with working within the Kubernetes Community. Staying for the duration is required; this is not a workshop you can drop into.
- Current Contributor Track -  talks, workshops, birds of a feather, unconference sessions, steering committee updates, and more! 
- Docs Sprint - Working on a curated list of issues and challenges that SIG Docs is tackling at that time.

### Schedule (Draft)

| Time       | Main Track | New Contributor Summit | Docs Sprint  | Track #1  |  Track #2  |  Track #3 |  Track #4 | Contributor Lounge |
| --- | --- | --- | --- | --- | --- | --- | --- | --- |
| **Room** | 608/609 | 602/603/604  | 613 | 606 | 607  | 605 | 611 | 610 |
| 8:00am     | Breakfast and Registration, Unconference Voting Board Opens |
| 9:00am     | Welcome & Details |
| 10:00am    | Technical Vision for Kubernetes| Where to Contribute | Docs Sprint
| 10:30am    | State of Networking | Where to Communicate |
| 10:55am    | 10 minute break
| 11:05am    | State of KEPs | OWNERS Files |
| 11:30am    | State of Cluster Lifecycle | Github Workflow
| 12:00pm    | Lunch + Unconference Voting |
| 1:00pm     | | Pull Request Practice | Docs Sprint | State of Developer Experience | KEP BoF | Networking BoF | Unconference Slot | 
| 1:50pm | 10 Minute Break |
| 2:00pm | API Codebase Tour - @sttts | Testrgid tour, docs, membership | | Cluster lifecycle BoF | Release Management | Unconference Slot | Unconference Slot |
| 2:50pm | 10 Minute Break |
| 3:00pm | Live API Code Review - @lavalamp | SIG Meet and Greet | | Chair/TL Training | State of Security - @tallclair | etcd Maintainers Ask Us Anything | Unconference Slot |
| 3:50pm | 10 Minute Break |
| 4:00pm | Steering Committee Q+A |
| 4:45pm | Conlusion and Wrap-Up |

## Media Policy

A photographer and videographer will be onsite recording sessions, collecting b-roll and other shots for KubeCon. If you would rather not be involved, please reach out to an organizer on the day of so we may accommodate you.


### Code of Conduct

This event, like all Kubernetes events, has a [Code of Conduct](/code-of-conduct.md). We will have an onsite rep with contact information to be provided here and posted during the event.


### Misc
We want to remove as many barriers as possible for you to attend this event. Please contact community@kubernetes.io to see if we can accommodate a request. 

Further details to be updated on this doc. Please check back for a complete guide.